AWS IoT Device SDK C++ v2: Aws::Iotshadow::DeleteNamedShadowSubscriptionRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotshadow::DeleteNamedShadowSubscriptionRequest Class Referencefinal

`#include <DeleteNamedShadowSubscriptionRequest.h>`

## Public Member Functions
| DeleteNamedShadowSubscriptionRequest ()=default
| DeleteNamedShadowSubscriptionRequest (const Crt::JsonView &doc)
DeleteNamedShadowSubscriptionRequest & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::String > | ThingName
Aws::Crt::Optional< Aws::Crt::String > | ShadowName

## Detailed Description

Data needed to subscribe to DeleteNamedShadow responses for an AWS IoT thing.

## Constructor & Destructor Documentation

## ◆ DeleteNamedShadowSubscriptionRequest() [1/2]

Aws::Iotshadow::DeleteNamedShadowSubscriptionRequest::DeleteNamedShadowSubscriptionRequest | ( |  | ) |
| default

## ◆ DeleteNamedShadowSubscriptionRequest() [2/2]

Aws::Iotshadow::DeleteNamedShadowSubscriptionRequest::DeleteNamedShadowSubscriptionRequest | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

DeleteNamedShadowSubscriptionRequest & Aws::Iotshadow::DeleteNamedShadowSubscriptionRequest::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotshadow::DeleteNamedShadowSubscriptionRequest::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ShadowName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::DeleteNamedShadowSubscriptionRequest::ShadowName

Name of the shadow to subscribe to DeleteNamedShadow operations for.

## ◆ ThingName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::DeleteNamedShadowSubscriptionRequest::ThingName

AWS IoT thing to subscribe to DeleteNamedShadow operations for.

The documentation for this class was generated from the following files:

- shadow/include/aws/iotshadow/DeleteNamedShadowSubscriptionRequest.h
- shadow/source/DeleteNamedShadowSubscriptionRequest.cpp